(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26957,        638]
NotebookOptionsPosition[     24940,        562]
NotebookOutlinePosition[     25550,        587]
CellTagsIndexPosition[     25465,        582]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Magnetic Field Calculator
for Stern-Gerlach\
\>", "Subtitle",
 CellChangeTimes->{{3.448309521591875*^9, 3.448309559779375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Button", "[", 
  RowBox[{"\"\<Open Field Calculator\>\"", ",", "MagnetDialog"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.448311174091875*^9, 3.44831121892*^9}, {
  3.449239083765625*^9, 3.449239084796875*^9}}],

Cell[BoxData[
 ButtonBox["\<\"Open Field Calculator\"\>",
  Appearance->Automatic,
  ButtonFrame->"DialogBox",
  ButtonFunction:>$CellContext`MagnetDialog,
  Evaluator->Automatic,
  Method->"Preemptive"]], "Output",
 CellChangeTimes->{3.448311999873125*^9, 3.44923908653125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "B"}]], "Input",
 CellChangeTimes->{{3.449239387015625*^9, 3.449239388484375*^9}}],

Cell[BoxData[
 StyleBox["\<\"B[I] calculates the magnetic field (in Tesla) for magnet \
current I (amps).\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.449239389578125*^9},
 CellTags->"Info3449214189-8049361"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Bplot"], "Input",
 CellChangeTimes->{{3.44831191232625*^9, 3.448311913091875*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJwVx3s403scwPG5bew8ohNOuT2K7ZB6UE6ow+fnURwVJvdNyyVCkmd0YVqO
az1tCkdxHOSUJN1JRDQ9zFJOhZzlVos0l9n2WxfEzvf88X7ez2t91NF9MeoE
AsEX9f+/7UmqoB1NdmvfRjogTm+EvIM/W/9D9QWHP2GT/FEjvJBOJPCoTFCY
1+GqxUaQNXhwE6lJ8On4QJgZ+wFkGeGm4VQO+D2TvgtmN0GvYPdkALUAmvfu
6upgN8PRy8eFftRKWLXZALCMNuBzua0+1NsQEkVkMlw7QYvIIkkSOqBmJ6WA
PPIMvE9H5j4IFsAE7RKBd+gVPEyLGa151Qehwg7mrh2DIKIftmOd6IeM5yWu
h7xEsNqLF8vHhuCJpmzIdn4E9Adi7jsxhiH/J5rJeuY7sLRIrMuNGgee9fWA
bEsxOI8e6XUveg8sOmcWv/cB+IuZewfKP8BApXcpxWsS4jp6etqzJoHcnEuz
rPsIZdG1xoYRUzDeOhy9WzoFm0Pff1mJkYD7i9slRU4SGMP9+jDvGSgnxrne
CpoGxfg6e6OgOQhycqsSHpuBC/Xph0JC5uHioGl+LHsWqHraPifLZTDRIz3N
3D8HTcmZ9QVVckj9fWeLFKQwQCkm+RcpwKzh8TZzjXmwyu633l+Gw/mllFSz
7nlwoY07VpUrwZnhMaa3QwajybluPO5n6LIvfdqfJ4P7LmG6XYVfIGXtl9Kb
r2VgFCwQXc/9CmRDRxNLAzmAmFDYmfoN+A4vL7/yk0OZUZwu9eQCFL6+8JnA
lUNWZXz+LwmLEJnSrLP9iRwq+kq7C5KX4Fif/W+flHI4lVQsM2N9B8sexxIy
RQEzkdZrw6KWwTDn85Y1fgo4tzytORa7AhXRf0im0hTwaNZrfhVdBZOmgu6r
VQp4Q3EWb7ciYAHROtpvOxUQZxNtV1xDwLRvFJjvmVIAP5jBdjdXw5KIopG7
JBy2hk7XGVSrYelOFhHGNjgkZnsOuZqoY/SGXwltnjicidVeVCtWx0Ych5lh
UTg8NotUTRtoYOzAs6OtHBxaVvI0NhZoYPwtV0TCSzj0NXhM81ZrYvW1//bG
38OhyyK2m1ukibVl6qYbC3HIeRhU/Z6shbmf+mvrD2M4hG8YYTJ4WpiODvPN
DRyHpSY7E1sSEStvFlSokZSQoSF5XsIhYkSdjFMB65RgZOUSSSGQsCkbMb1u
kxJOJAUryWkkbK7dzCXcTQlyLjnB8DsJ65yoTqf7K8E0x92AgvzhrKA9HNmL
fbLdEbnYZk79AHJF/McfA5GXQp3PRSN7e3a2FiHT0vvKE5GrVWm6+ssk7PDb
hTYOsj9Lcpe8QsLW1vuo/kbOiLdgGCMvPWd51CDXRoRobUR2mL2UX4u87NsV
5o08t0GsdxO5zrZa/QzymtTjFg+Q1SZDA7VUJOxIc6W7AHnTyPkVA2RRy9Nc
IXJIf/d1K+SFlk/CXuRbfMdlD+Q7TVv2vUQOq9S/loXMuNodJULOKfGiFSEP
VsxcG0a+w+UsViM3XtSfGUXWYs/68pEX8+gpYmR7luXCS2Qe5/TDCWRGPP3K
O+SxY1eXPiLnRRT6yJA1jghBgnwvpOerCnn1QWn2DPJ/kCRhfg==
     "]]}},
  AspectRatio->1,
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
     StyleBox["\"I (amps)\"", Larger, Italic, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox[
     "\"B (Tesla, \[PlusMinus]10%)\"", Larger, Italic, StripOnInput -> False],
      TraditionalForm]},
  GridLines->Automatic,
  GridLinesStyle->GrayLevel[0.85],
  ImageSize->450,
  PlotLabel->FormBox[
    StyleBox["\"Magnet Calibration\"", Larger, StripOnInput -> False], 
    TraditionalForm],
  PlotRange->{{0, 3}, {0., 1.2699999955714285`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.448312000091875*^9, {3.449236052953125*^9, 3.449236066625*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztXX2sZdVVP8w95743M8x0gBngwTAMIFBptVSYGabYAqV8pWmsJkaTalJE
DfxR21wxMRq19Y/yj8av+FFfCzH9sGgTq1VIL1RNidYWdaK9BNFaUhMDedo0
sTENicn1/tbH/jhnn3PPu2efczfNK31v7tvn3L1/e+2111p77bXXfsf9Dz/4
E++5/+GHHrj/5D2T+9/34EMP/PTJu987WRSNzsuy8z6/+Pmnkxk+z7NMf80X
/58/g19Z9i36J8/ms+1M/zeZ7nyBn75M/4yynekk257R97JDUkbf2J7RX/sD
ZU9xFS/po51ptj3dob8Oa9l8lm0v/pst/jpgqphm0x1uaspVfIX+KaiKiUHJ
Xyvo2dHF751sOuEylACx9CabzuR7C2QonwgMBjs3n6Xv+LyP/sjxd7ZDVQKp
FI/Nt+b6iF8TvP9uugdME+rOmMqu5j6YStHuRLqLd22/vPccqlY+V95Z1LMt
ZaW2HDyC9KvO+CpVmKJbfkslaila/tv2kskEXtkxn23vJmZgta59Af7SMre9
z/pw3Y4x3OMVuJXOO8+ZORgO0XDBOOazkMEliVc383HeAqXT6SIwQbijlzAa
D9mCBXZ2sh30YDGUxNYEbTFX9LODZiJsS5+VBaTdBpgvBsY+DxB4RGXHzIya
TKeYCovqaEoIx/Jnrsf9rFy9GN9t/r7CQH08nwpLaAf61IfpQso9CvOEOe7K
FHmvXIXDkUWg2ssNsSZlEfRVMzW0Q5nhILeqqXRuyxlv7bAIRFf6ruvz9fTP
QU/qGVmWWSnqPj9DJZuN31mMKQ/pyBORp0rN+VK1XXOh79Q0dzP9Pj9zVJrD
ebVNns5YlS37mmXcZc1aNmpolpk5u045zJndyoijhmenGp6NDUPblk8F5k7e
UMfpwPsbtfXmjjiZZdPpThP00+GvhFB7KLZdwdREMUNUV7/gdbQ2anh2quGZ
wtuZbpvhbSJqqI4morr1njZlU0OKJtxnAu+H8Nr2LVs21Vsip2cKlMgZenaq
4ZkniAVKiDx5Qx2h98eBes+43RaOacIder8JrzE6F+824e2RO0cyp6ytTBDP
NFC0LYPm4arPmulqxd2+hqpvqX2/UvUtDq1Vs+6CTWOKUmNITa1J2UTUtqK0
CNR72nRRZ7G1W9rgD30vhF/bmcPY1PcnrYXr9WYgrdYuAmVnat9zB5yqViVS
Wg2Faj3d9GpDxWq0Ui3NFQdera/YWZvWVCyKvovddi3+wYfsUVrKc0E2knX9
3JVQXtmBQNnBlu/FLhui3b2+DdMu8dp5e7y47jb2+rYaL962prJvJ6z3SNkL
L7xQqSdW2T0OhouFA3bjvMgTwH1MqblLs3SUEPbdLlXoWYE67hoA8Z2mNYt4
t2vVVz21E8H+auRylizLVzQpSJMUJPEehj0Mexj2MOxhaIGBIAzR8l2mtYR6
v4dhD8MehqUYxLI88s1vvvK+P/6jf37wTz/9XHZ7Orhu/Ld//e/5bW/+0Evf
/30fTQKXWOfnHvixTwHXvV/8u/+IjqEDLowhcP3Jz//cZxPClYO/vnXXnR/G
z6Vf//r/viUBaLJh+9gjH/xrkOxnP/6xc1lCuJT1X/yhH/zEenARrI0Aw795
ADTLjArBBYFlGH4IXMtGj3Hlm6+88n8uw39vAtA2uex3f/VXnjEMnxCuW56b
vWwYPgVc+wOsf2s6uDxZnw6uiqx/UwLQZEvHk/UJ4VLWf/5H3/V4ErgO+qx/
+7l//M/sbDq4lPX/8APvfzohXBXWvyUBaOf7rA/SZQnh8lg/BVyHAqx/Zh24
CNahAMMPgWaZ+XUozPCnExjAwz7Dk6xPCJdn5qSA6zU+w5OZcyodXJ6Zkw6u
CuvfnAC0IwHWTwiXx/op4LogwPo3pYPLY/10cBnWBzaw/vckAO1CLtPF7fsf
e/Tvs6Fx8XZ+84mlxbMRPSxKhzrnVMdRbsLzew7djaaICo3JD5668UfkIn9y
vfOZz7+YvXFNXQkFr2igRfWsS7AfnqdpXf1oPNBSPmRCgUkXUJ35fDZ7fv62
t26jB/Nnn/3yHMW/hF/FckrZA1LlExQ+pY4G5uCNCTGvDWWqO+cQ6k/uTkb4
9d6wFrESigiqHBoIBQodC8zDobsQktjH/Hn15M88/ERCuIwHF9hOvvTS/3x3
AtAu9ifYIx/6vS9m6eCqTJTvSgDaJVz2hYce/LTh/oRwvfvJJ/7FcH86uIj7
v/H2+x4Dttd+7WvfeH0C0C7lsl/7rd/8W8DCv1k6uCrc/7oEoG353P/Dn3v6
K1lCuJT7/+q9P/WZ9eAiWFuW5zF4yvM3DABomZ/tsgDPD4Fr2QAyrhxkcnn+
OxOAJlk1wFOABh7LEsKFOQhcmJMJ4fK4H6LstQlAOx7g/nRwGe6HmQifyPUJ
QLuCy2BPmO2ehHDB/jLbPSngOsFlyvnkArwuHVxw4RqvQzq4crj9XBfgtQlA
u5LLsEdmVkfp4KrYh9+RALSTXKa+AbIP14KLYAkatQpJQw6BZpkRxrgqGvKa
BAbwKi5TDQnPQJYOrhyOE1dDXp0ANMEAiWo0ZEK4PA2ZAi5hJ2zaGQ15VTq4
vE2ydHBVNOTJBKCJMNX9YdKQ6eCqaMgrE4AmZaohaTWZEC7VlcCXEK6KrjyR
ADQxn8H1gIVZkK0FF8FiNCQmVEPi8xUDAFpm78i6TDUkhZEMgWvZAAouaCCz
OZ4CLnFJeDtsx9PBpRqS9hjSweXtsEFGXJ4ANHHIeR6ndHAZDQmygXyXJQBN
3NGexykhXGpPk4ZMAZfsc3gep610cHkep3RwVezpSweGxnvcG43BXZpK3mZG
nwcDS2TX0rPDh+5PU6BMsat+VOz2S9bUlVDskhkSJ5F6NQs8/VBlEoGiupwO
RK+rP/XponKb6J2HiAJ/KJTrdVTtaP74J/+Ggr1+5F0fzyja6yfxq0W0l03h
j2sBmAFCcUUcreBZ+pBlFyfExzZvv0RJ1XRFYmg8V8LQ/QhFeXk5pRvmIeP3
4nIxJ48N3IWQ9Jb55BlU6eDytvCgVY4mAE1CJj0HZTq4cnf5hcl/UQLQJB7X
W4ElhMvz0qSDy5PdOJxxYQLQJNodwcNGFqeDq2KGXpAANDkaouYkydh0cBnz
EPGE4Lgj64BGyOTMkbdUHQLNMoeb4NKlKjm21kKlEi45bueJ1dekg0tDx0ms
poPLE6s4P3w4AWhy0tQzcdPB5YlVyItDCUCTc9be3no6uCo7B+cnAE0O8Kvp
SpooHVwVTXQwAWhnuczTSengyl2dBJIdSACaZEjx1FJCuDxrPx1cnloCzfav
Axohk2xFnjIaAs0yO+xWSyhXGW0OTCiZ/t6FdJcE4EqSLFVQlBxkaKzsjhp7
9zzxj3OBLU48t+mKMQNUp22sqzelKxkFvr0+dtrYG0lEp5GopAbX05XCYyJy
gk9n6kNcymDcD2/XEaMyXktX9pd4zL98Q92/W4FuSPZEzypZTx9y71bEnelk
pPPDuTn40touVEaiWBNTuceOFfoVAdi3+ZSnE+FDYw4J+tt8cqpxkycA7XYu
0+NLZA+mg6tiD44SgHYHl6k9SCQbGpd/RXQmZTK5nWvCQ2L2jjBp9w3cBdUK
7m3lZidYNCI2C0NdeGtgCIbGb7d6KScJ/SXmkKc6jtXj1yGgDEVD43dZaEdU
BMUnElS6aygrEBZuFj2LEqrtjsioXDvZ2gpZhSuW2UGCWe18WhD1hTnEya59
o1fE+jeq8/OQxhXs5UXTcNjBsXLJpwYsuDd8K+1D2N9Gv3OX7mhvGJJbi+DK
emguWRGqMBhFZW6FoN3FZUo1ipwYjGQysvW4Ksv323uEtqGTpXo3fdDCvtsn
HU30PvGx9b7hBH1o7iN703FoYtxtSTl/x9sfU1L2KdUZ6mJJOZvJvOWQG6Ls
9ixEzXsY5fx3fvtzSk0gjp0EvorSjz453gBtNnteeRGD3ie0kMXHMAp8R3lO
raboWeBdLJLiOjPrH5Z0IVZzILozlyyjPiHqSLp3w6tl5OpDtoza32pZFzvF
/RwrHk1voMMRO5G729XCdITdGka1b+tUIxXJPW1OCUbPRG3pDK2/IXDsQnJt
3j57awTJtjVcnMHbLz1Z/cbMe6np3EQOQkAibRyK6dkubrq0+QEZZPNtkRte
p0s0jZ7b3iWquOcz9yr6zRaUdK9f18Go799muX/lpV7snO/VZVHhzBKd5OEV
qqf7awIq3eFtezmlCCFvaIfpt+OrkqGSYIFgsKUKzt1ccMpteSt4BGOe7bF7
yqWehSYcXK+P/PpG/pCQY7RPzCaeVYYEsyukm0JryXr8ueYV7ivtflgKu271
OQmE6Wxeb875VcqkUcconUXsH/aG5wexnFNvMNdjN85T3SWLnZY+CD/A7Nql
tvDFeaG7ZrT52Cd2o2KYQ+iv3WH1omMQfhs7bXw7c9v/jsxljdOkJV+fuM53
yLgtqufiXWGtrKBjZ5OvjnplpdBWsrESNh4c+COBPnbS9FUGXlyqnh5PB1fF
ix47b3o4oiEESCIadCeHtGtsNMsiGupxVfYSY6cZX2UMRVaqWqSQu3RwUTob
NzAkdhrwVYJAQnDlu56K6xMrSytIWZuCHD+Cva22k1uUwIzuqYTYKcR7QC7K
yfN/Dg17ZzbLpruDXbrriA47xk7BHYK9YzdgaJm1S2rL5UPlg0ixM2FXXU25
cYhPFkbngvBdFi8Sfe1FpfTZhUiszrDp4JxGauFz7NzVVeT+DQeXt4QrK31P
FPaJta1GkVuEyiZp7HzWsTQKn0bJ3RMXfeS4DsXiuesm+mHXW9vIwlBvSvf+
kAk7RFdcuZfZRUFtWGGtaSkX8ajjA/Hs0JqxM0OvYl3KWT3PhIuNa5UJx7i8
pTTIFzsD8yrQ+ERorompdHLFznTcuEuU2RnlpkVoO6OkC4CtiQKRSKTPLugV
KMYnxJPJRjE1x6aEeiEXvqhhAT6ByX9976Jh5G02mEAgSLpdunQluElDjynn
0xD4q6E2uWUu7sPWrrpAM1WvoMCuYuzsx6FeuHsFIQVzWcsuyIUoqi51PyB2
NuJVhE3pQhSSz+ngIq+EK59j5/9dBZpc8FGWz7Hz7Ia2tl2Ht7sXKUzZVipI
D8riuc8esBDbsILNEWYkGBaGfNvpxJKjIpdjZ8etSoSNLBTprhvabdcg0k2V
ybQG6RP7uIRdGYfIvkt9Ihd9lIVx7ES7wbAOMvRF+Jp1t+8tqLWQ5VYLPYsH
CdxHFl7XQs4Ft0tmPzCNhqKtGpTwKz0YSqe7YsOvcvymt8FCPybUgWIA2s7Z
42HGubLHHrSV51eEeSN2LthqMIIfZ7IRKGu7o3UiwBx94jcGkjADRIqNAp8Y
I6mtpe1cI+FyR+xsrlWxMvJUqh6/WmXJw5zs2XjoTuwEq6swuIgJ3Xki7kgH
l7eNglGPnWB1FWhXhUczdsLQVaBdHRjNdHBVRnMrAWjX+KMJEQOYsXNsutBY
cp+/JJ62cvakbYSZrIPUrUY35vXZnTb36LrPNCJwd/3x9voQShI71WaoS41x
ncZeK10NTLGv76G68/ln/owWgnSh8pNPfIkiZK/BrxYRssa545yoaxtCKTnj
dTNDo0Ji51NciWgmInlZMGywS+iGuiQQDDdElxpZ28m4qaPYtkvsbjM7ZLq1
EzuFY1X4hK6ILh14EzOzbVckU7tayrrPEDuF4SoiXhz3nkBMBxflYnVdLbFT
GK4CjbdhcqQkUzcKXGyxUwWuAk2SfGs0ISgHCsZOgrcKNNmSVfOLGC0dXBUN
GjsP3irQJDU0mMsNW42db24VaJIqWSN11DKMnddtFWiSklglGtQh1GLs/Gkd
oLlCDRsHKUCTrMSutoW6ip1CrQKt1vMouXVVZ2qATOxEYKvszUsOW00Ui1wC
GNLYqbdWGUaBBobXsAw4t1KAJmlsISbUVwULPHamrVWgcdw1aXRlfqx5NxKA
JrlQdQkOeIAZO+/SKtAk56guo1QHxE5MtDo0yjqhBofO0uhZgFbBJ7lHXUWA
aZoCNMnxCVnrTtPYiYBWgXaWoen+pU7T2AlmVoHGJzDHag/pNEUp3uuS/2IV
OHzWt4BxoesAukMW76wJC+ai7rMQz58799zgWPhgeYF5p+oR+Uko4UGXRBvt
zZo3WwTuzCcEQ9sxkg2POOMH3vkH6jQaeu5wPfn86af+QSUOYkS6JMNYHQZl
mnANAbq2sUumidWxmDK63Gwf0GSUFte81+Xg9+q4vDwDroFOOLvkGVgdUyU3
gF7AprjWQyq/TCL61D2j0M4mAE3OgGtwlkLrcpg6FjSJUNXllurWLoeNY0Er
fGgQX4i863KANxa0cRhal8O6saDxuipXa0ChdTn9GheaZ6wovE6HTmPh22zA
1+WEZyx8+y0+XXgZfF2OTrY3sELfPhCmGhyrnc4XUha+vDvVDlp86rY06rTL
QcJYoyonBV0JDGxdjtnFgna4Cg0WSZezabGgydk01fbqUu1yNi0WtCNVaFi6
djm8FQuanMlSs1L9D13OPsWCxpuPBaJzdHWA6Uprty5HdGLh433bAsaRLqSw
+0Fer+sTwMdb9wWUga591TORdTmWEgufRDRgK1C9A0ZNdDnbEQsfhyeQ70DV
GPiQchh3OeARCx9HHZEaU3lszoV2OSNRDdE4WD6ultXlW3RihVbq0xb99iQl
xFGXcwehiBM346qJOKkNrFmtKxzsWECyqviCjUbioUtEfNv+1Mc+rdYfjnct
MD115x7ihGzNKwfoT23iRgpf+wTVWcyfffbL8/vf/UkT6Paxjz6TvYxnxfAU
u8JOUHUNm5wJXWLG18XRPMoFNgEqHN0lGroa5pZnNv6L+lQOg+8qZ06GmRnb
MJ2ilGPJdg7sJt2oAYZqa5tU1uvExwJ5DNbWDUn1Z6OsS0BsLIisoguoazXP
sClJQ9zlmvRY+Pi7BfCo+WOGuEsgaSx819khdqWXDnGXqMVYEHkV4K0QMMRk
QXYJXYyFj6MqxxhivQFDt1u6XikcC+INdpTVGa2nhQG7S1xeLIi8gvdkNUab
doq6BOfFwsfOjzHUoGuHQ26DhF3CzWJBZK9WAS9ShYRdYs66+QlvDBMONgUI
1yWKapX92VA97OQdhwiHKdMlZCnW2N4UpqIKwi6hS7Eg8i7IGHBcOQi1Athd
4nBiQeQ9JJKDWHyqOsGgw4LoEo8TCyJvDm5iaqhNqPEMZNQsnuL9tkEesWBJ
LA7sFrWzQD3SJrPZ80PDudVOB9dswb0AsBPahp3EgsOhDGOskt1BUxnXNuoi
FhwuG2NZbC4ykiUp1hptb4KIC4eCCTBg4BmdeeAlzMTdXDQQF1bhlmGwKAWG
xIWAepR50s7MofH5ZRzsMIY32mU0yFsIsLbb931CZDk/xjRUh7TOBaiGtnvl
fUIUPwOYDjoeTKgjjtEnZxfeaLv52ydWMT4wcTB/MXFcrOTnxxttt1y7GXOh
MrHggERNE0WIvw3Ctjubsay6UNnBlljb7if2OfK8QbwBTLqBrWoXnEBY224u
9olTVo+YNYrTpalaLa138/rEeoHFWh5/b+a33TnrE+tFlldh47gzH8JUQ6Fb
71L1iVVcWbAuoN5diQo9ZeIr227x9IlV3JaQqJD+0PGuvkfZrrZv+sS6xWXQ
VKAhJe8WrOAH8AXNr7b5dfrEKllcwJdlOYDVCwXe4I22mwh9Yj1RP7dgtBge
2EoA60nLr9j15ft/LQ9AjpEvtK07vk+ssiONsdaUcooVNip4mCI72iYc6BPr
tZYHILNcOQD5ZeZWWx9zn1hFd8Ko1hDAsnwlurb15Ma3AiWWCBQD5VwN4FGz
7WnmPq1Ase5UqoKCizcIKyQsFqRkXbU9F9vnyL8hQNeRHXmsTklStXVS9on1
jZau4FTKBpVb6wplxKVtXYF9YpXAaNAONHR5ADSGVKUYoLYH4frEKst68CR4
E5JUsUJqkQfsySe+FDz51Scu8djAasaKhCToyGpRlNGcD/m/+sQlJ4tgiRBt
7rvnI4oLtAMNCVfoVE2fuLgsRxl4C/MDGjwELeRs6h+adwjJncZkIDk4KYE6
cIbcOf3j9MvkmE0ZrwMX+r02nH9ouOMqXEgcZ+KAaWl5F4pTHxquKEEwLHA5
kzwHbMBHNyBIQ96IahjTZmOc4eIZZ74sbJQW/1Ad90XunZgjMKAhrsi4zu2i
BaqBTIGQ82JZhJYcZHJupJ1l0+lOl+CstmUSdIApijUDabfcnw+1EbjLumXv
Z7C3GAzRJ7nHAT4GWG3+NDe8iEd4JZQFum3P3Mt8bPAh7btdRxWO6CLqX/yF
P8cRXyUsDj3PH/ngk6SKfxzvNUQjirlmIvbw174BiHiZzxh0BwPjz0FMmGko
x/NQhFz7sFTljVKuwp67J+mTIVtVYIHfpYeY3TDsIK/AI6EAsRZhirkptvnX
F/O7S6Ri2zJJBQuRBNGkukP6h65CiqHrkMehlevQ6kPagPaF0UAMV9j1CyQR
eYZCK9ehsUrePqhe4CKpyVhzrLphnOEZuCu0NBwa7usts4OEGHksXwWxUleZ
IRQiMjRiSYgFOECsRC4s+2LGQoRDAIWWXkMjllRBGHYMP9gAcjK3Sod8nb/x
60/hlXsHRneW0UGVQ2pDHEDGORwApoC4g8S4c2B0vAwjYQUI81/+wF/Y0S5A
O0gDnVXkxXjLwBC5zFv2AAskFcaVjF2HO0FgEBrvvGktUP2y3FIY0xzzCRw6
tuOP+QRNAcSnEkDsXPALWIAHmIy4gPiCggb9VdLyImjNsA9bMYDxL8EGa4Bd
wMqQa7RiuKEMu7OLtW2ZHFmEVIAohQhQuSXMXOAzyvBM2YOd9z25XNuWcd7w
AhQEJUFRUJZcXg6TYCKq4IAlx6dW1swkJ6pMYmfjGPKuTHLw91YCyHnbhg6R
QlKrpiPxJ1THZzWC8A4tH48mgJ1X5hTTqZR3OT7ANGAscl4dTgA+R8XQGSA1
MiAByfbcYOzoCsqU4Um8bCaA/WbLNlA/wAeNTk4Uxj4yUQo0NRLAzD7rDeDC
LHRZBYgJ7zgBnEMbuq9WDEWg7LY1lRXf5lgPBMoOtnwvdtkQ7e71bZh293gx
jTb2+hbgxTk+P8oF5/gLWeguXne36r/ot3ldL+XEX/ucMv1K6XXZJ/Jedy99
kdefNv1yb26ytdoW6Dnj3C+bbs7Nodkkm0z43+kOV5VT+QH6ur2TDs+rN47O
Z9tc9YZ3VV15j4/n8DFzt1BWroZ+wrAmk3IZ9ZN2GHZM13KvrkUzXHzCGZm6
Xvtwp9t+E/aWSadsvpQyv8/D9Jf0z9jb6TFItmc8wHI3l3Nhlb83ql81tzGy
5+dI5lzeyTW7F5M6FyJytdtSjflO+a51jCAj2vJYrh4Rqgp9dt+Z86ib71vI
3NblS+p3uldpw1LN63oDWbbdcbnK28bU6yKnTpk7ef0mS110ucRj6nooetnw
PiN6KleymrshtW2bFONSIivXW4er5fB4GM1nHZ3m6mtGx94E3dRE8+gccEaH
v0Ij4dwCK6PDe4tHHekSRqgEbzMwdksvPB7UFDfDGSQP1TTfTH8de8tntq1c
p+KSbrl1+1OpRLkVCO90k76+7V00zQgv9NnCm4j1kz9A9FwluT8JlObuda7s
Sb6ogd9LgjPA72WaFDqvGpnceeb1zM7DJUzukTo3pBYVwAxx9aLyqVFNRgBV
xLsvC13d79LQYx5vZtr7fV3AOwt11kB7Vhs3NcDRcdDmSyLb2g6Za3eUNWxd
/Q48p4vhsba4m0kRGhTbpGSZNhJaBoWLnYimsvBnpcARTRuOAMVHi8eq3bGv
R6z6VTPTrd0Yh84c3RCREUa0ZHrMbNNW5SlX+EOH+suYrC12gWNmBsweT5TN
a0ny4eqQTK1003ufca3jtsyR46bMzgUrxMsKdOQoUFfRWiqNvO9y2ZFAG59y
kdoEVs4FmnZcF2N6vKl55/LNfV593HxhOuXxvceglr5HAi0J2KdNs9XJ13RB
I28WbJTMYpEbYmKygNgf4DKlmS2/qDQ+eP44QyS8zzR/zs77fxACDho=\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Initialization Code", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.448311437748125*^9, 3.448311444466875*^9}}],

Cell[CellGroupData[{

Cell["This data comes from the original chart", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830956688875*^9, 3.448309577748125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0.08"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.5", ",", "0.575"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0.9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.5", ",", "1.075"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.", ",", "1.17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "1.23"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3.", ",", "1.27"}], "}"}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309221373125*^9, 3.4483092561075*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fit a cubic spline to the data", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830958895125*^9, 3.448309604529375*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Splines`\>\"", "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.44830928132625*^9, 3.44830928845125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"spline", "=", 
   RowBox[{"SplineFit", "[", 
    RowBox[{"data", ",", "Cubic"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448307656560625*^9, 3.44830769420125*^9}, {
  3.44830929951375*^9, 3.448309314295*^9}, {3.448311538341875*^9, 
  3.448311539435625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Define a function which, given I, calculates B", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830961701375*^9, 3.4483096354825*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"B", "[", 
   RowBox[{"x_", "?", "NumberQ"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"spline", "[", 
     RowBox[{"2", " ", "x"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/;", 
   RowBox[{
    RowBox[{"0", "\[LessEqual]", "x"}], "&&", 
    RowBox[{"x", "\[LessEqual]", "3"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "::", "usage"}], "=", 
  "\"\<B[I] calculates the magnetic field (in Tesla) for magnet current I \
(amps).\>\""}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448308441154375*^9, 3.448308469623125*^9}, {
   3.448308502545*^9, 3.448308504873125*^9}, {3.448308579716875*^9, 
   3.44830858092*^9}, {3.448308611185625*^9, 3.44830861376375*^9}, {
   3.448309335279375*^9, 3.4483093367325*^9}, {3.448309367185625*^9, 
   3.448309414029375*^9}, {3.4492392843125*^9, 3.449239375140625*^9}, 
   3.44924518090625*^9}],

Cell[BoxData["\<\"B[I] calculates the magnetic field (in Tesla) for magnet \
current I (amps).\"\>"], "Output",
 CellChangeTimes->{{3.449245187515625*^9, 3.4492452146875*^9}, 
   3.44924974484375*^9, 3.449315336518875*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bplot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"B", "[", "x", "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Magnet Calibration\>\"", ",", "Larger"}], "]"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"GridLinesStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", ".85", "]"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<I (amps)\>\"", ",", "Larger", ",", "Italic"}], "]"}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<B (Tesla, \[PlusMinus]10%)\>\"", ",", "Larger", ",", "Italic"}],
          "]"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448308192779375*^9, 3.448308296295*^9}, {
  3.448308475966875*^9, 3.44830847663875*^9}, {3.448308686045*^9, 
  3.448308776795*^9}, {3.44830945392*^9, 3.448309459591875*^9}, {
  3.448309655966875*^9, 3.448309660748125*^9}, {3.448311314248125*^9, 
  3.44831139767*^9}, {3.4483115842325*^9, 3.448311901623125*^9}, {
  3.44923603884375*^9, 3.44923605978125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Here is a dynamic calculator of B vs. I in a dialog window", \
"Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.448309686091875*^9, 3.448309702404375*^9}, {
  3.448311263216875*^9, 3.448311269966875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MagnetFieldNotebook", "=", 
   RowBox[{"Notebook", "[", 
    RowBox[{"{", "}"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{3.448311070654375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MagnetDialog", " ", ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"MagnetFieldNotebook", "===", 
      RowBox[{"Notebook", "[", 
       RowBox[{"{", "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MagnetFieldNotebook", "=", 
       RowBox[{"CreateDialog", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Block", "[", 
             RowBox[{
              RowBox[{"{", "b", "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"b", "=", 
                RowBox[{"B", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Magnet Field (Tesla): \>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
                    "]"}], ",", 
                    "\"\<The magnetic field estimate from the calibration \
data\>\""}], "]"}], ",", 
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", " ", 
                    RowBox[{"Round", "[", 
                    RowBox[{"b", ",", ".001"}], "]"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
                    "]"}], ",", 
                    "\"\<The magnetic field estimate from the calibration \
data\>\""}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Calibration has a \[PlusMinus]10% systematic scale \
uncertainty\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
                    "]"}], ",", "SpanFromLeft"}], "}"}]}], 
                  "\[IndentingNewLine]", "}"}], ",", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"Left", ",", "Baseline"}], "}"}]}]}], "]"}]}]}], 
             RowBox[{"(*", " ", "Grid", " ", "*)"}], "\[IndentingNewLine]", 
             "]"}], 
            RowBox[{"(*", " ", "Block", " ", "*)"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Enter Magnet Current (Amps):\>\"", ",", "Larger"}], 
             "]"}], ",", "\"\<\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
               "x", ",", "1.0", ",", "\[IndentingNewLine]", 
                "\"\<Magnet Current (Amps)\>\""}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"ControlType", "\[Rule]", "InputField"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"AppearanceElements", "\[Rule]", "None"}]}], "]"}], 
          RowBox[{"(*", " ", "Manipulate", " ", "*)"}], "\[IndentingNewLine]",
           "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Deployed", "\[Rule]", "True"}], ",", 
         RowBox[{"ShowCellBracket", "\[Rule]", "False"}], ",", 
         RowBox[{"Saveable", "\[Rule]", "False"}], ",", "\[IndentingNewLine]",
          
         RowBox[{"WindowSize", "\[Rule]", "All"}], " ", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
           RowBox[{
           "WindowElements", "\[Rule]", "\"\<MagnificationPopUp\>\""}]}], " ",
           "*)"}], ",", 
         RowBox[{"WindowFloating", "\[Rule]", "False"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
         "WindowTitle", "\[Rule]", 
          "\"\<Magnet Calculator - Physics 7 Stern-Gerlach\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"NotebookEventActions", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<WindowClose\>\"", "\[RuleDelayed]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"MagnetFieldNotebook", "=", 
               RowBox[{"Notebook", "[", 
                RowBox[{"{", "}"}], "]"}]}], ";"}], ")"}]}], "}"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], ";"}], ",", 
     RowBox[{"SetSelectedNotebook", "[", "MagnetFieldNotebook", "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309984591875*^9, 3.44831008807625*^9}, {
   3.44831013326375*^9, 3.448310357310625*^9}, {3.448310475654375*^9, 
   3.44831052476375*^9}, {3.44831055826375*^9, 3.44831057632625*^9}, {
   3.448310676498125*^9, 3.448310692623125*^9}, {3.448310748841875*^9, 
   3.448310773295*^9}, {3.44831089882625*^9, 3.448310950154375*^9}, {
   3.448310980748125*^9, 3.44831103620125*^9}, 3.44831112388875*^9, {
   3.449239103140625*^9, 3.4492391121875*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
AutoGeneratedPackage->None,
InitializationCellEvaluation->True,
InitializationCellWarning->False,
WindowSize->{604, 775},
WindowMargins->{{26, Automatic}, {Automatic, 19}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3449214189-8049361"->{
  Cell[1418, 54, 222, 4, 40, "Print",
   CellTags->"Info3449214189-8049361"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3449214189-8049361", 25363, 576}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 137, 4, 77, "Subtitle"],
Cell[CellGroupData[{
Cell[752, 31, 235, 5, 31, "Input"],
Cell[990, 38, 278, 7, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1305, 50, 110, 2, 31, "Input"],
Cell[1418, 54, 222, 4, 40, "Print",
 CellTags->"Info3449214189-8049361"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1677, 63, 96, 1, 31, "Input"],
Cell[1776, 66, 12753, 224, 480, 2424, 53, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14566, 295, 131, 2, 71, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[14722, 301, 153, 2, 36, "Subsection",
 InitializationCell->True],
Cell[14878, 305, 662, 20, 52, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[15577, 330, 144, 2, 36, "Subsection",
 InitializationCell->True],
Cell[15724, 334, 164, 3, 31, "Input",
 InitializationCell->True],
Cell[15891, 339, 327, 8, 31, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[16255, 352, 158, 2, 36, "Subsection",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[16438, 358, 909, 22, 92, "Input",
 InitializationCell->True],
Cell[17350, 382, 222, 3, 70, "Output"]
}, Open  ]],
Cell[17587, 388, 1522, 35, 132, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[19146, 428, 224, 4, 36, "Subsection",
 InitializationCell->True],
Cell[19373, 434, 210, 6, 31, "Input",
 InitializationCell->True],
Cell[19586, 442, 5314, 115, 712, "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
