(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20979,        570]
NotebookOptionsPosition[     18801,        487]
NotebookOutlinePosition[     19411,        512]
CellTagsIndexPosition[     19326,        507]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Zmax Calculator
for Stern-Gerlach\
\>", "Subtitle",
 CellChangeTimes->{{3.448309521591875*^9, 3.448309559779375*^9}, {
  3.449236220296875*^9, 3.449236223*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Button", "[", 
  RowBox[{
  "\"\<Open \!\(\*SubscriptBox[\(Z\), \(max\)]\) Calculator\>\"", ",", 
   "ZmaxDialog"}], "]"}]], "Input",
 CellChangeTimes->{{3.448311174091875*^9, 3.44831121892*^9}, {
  3.449236229609375*^9, 3.44923623275*^9}, {3.449238004421875*^9, 
  3.449238021734375*^9}}],

Cell[BoxData[
 ButtonBox["\<\"Open \\!\\(\\*SubscriptBox[\\(Z\\), \\(max\\)]\\) \
Calculator\"\>",
  Appearance->Automatic,
  ButtonFrame->"DialogBox",
  ButtonFunction:>$CellContext`ZmaxDialog,
  Evaluator->Automatic,
  Method->"Preemptive"]], "Output",
 CellChangeTimes->{3.448311999873125*^9, 3.4492380238125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Zmax"}]], "Input",
 CellChangeTimes->{{3.449239655828125*^9, 3.44923965825*^9}}],

Cell[BoxData[
 StyleBox["\<\"Zmax[B,\!\(\*SubscriptBox[\(T\), \(oven\)]\)] calculates \
\!\(\*SubscriptBox[\(Z\), \(max\)]\) (in millimeters) for magnetic field B \
(Tesla) and oven temperature \!\(\*SubscriptBox[\(T\), \(oven\)]\) (Celsius). \
The expected distance between peaks is twice Zmax.\"\>", "MSG"]], "Print", \
"PrintUsage",
 CellChangeTimes->{3.449245160703125*^9},
 CellTags->"Info3449219960-5528363"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Zplot"], "Input",
 CellChangeTimes->{{3.44831191232625*^9, 3.448311913091875*^9}, {
  3.4492362433125*^9, 3.44923624565625*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJwVzH08E3gAx3FESC16uBqHPHZFKT1dj1/FpYRiq+hmSiRzXLmVVF7oKI91
L7lyN0p43VUsxFxHro6dOld68FRtyFrzMDFsY2N2v/74vr6v9z8fm5Dv/cP0
dHR0fMk+v1dY36vH/WHbyoWz+2kLQrfpu5uf6KZ6oFGvsN09cgfW3MzNq6TS
UbpKzbWI9Mee5x3386mhuOn52y+GkSE4GDpel01lg0o7f0XDikGnyyX3LGoy
2gPC0ydYF1CwcO/FdGoOqgRCQyUrG0lGlUvTqMWwy7/eKGcVIiDwVplspAqx
K8xPu62uhIk2ieFp9QhKOafw9o8P4eA31NeQwYdx2rn4gpZ6xDZvRK78X4SW
1b7KfvoEi6rMunR1X2B2eptr+/FnqBa5P3ux5TV2TOt0WVe/RD0r3yJwsBXi
zCzuEucWKBy3zuVGdaBUcXFGU2wb9FQlphYO7/Dt3bSomYoOrNcerqbdE2L1
RlWQ1PMdniWvbW5c3o1oy+DAL68IYf2TVHVn6D2u+jQff2/YDel4d1fbKhGG
nfYnOJa8R/FAbRPl8gcYd3jSHaU9oFj+PiwWi9FWylvp7fABmRG8YwX2EvCG
A713eomhdCsRH0/oReobPblx6kewXflVXzT0IXqlqOtWuQTd9/gZr2wGsHt5
I23GaC8mWa2cZWelaN/n0Jy+oh9O2w2nj9UOIlZckyGhDcCz0Ca8YtEQTKz2
t5hclSLWMti2hzGMSr4D06BuEM6D+006fGSYc+3kkH3PJ8yfKzPiq2VgzKk3
olgNQ/8Rp8wubwTdZ+wrP9rKELm29q3xnlEYbxtwXNYgQ8nukIK/lKO4nBuV
n3B4BAqpuank2hjylmWucxsbAY/mOSPHQ47iOdzssOxRJOxKuVklkWPdVxFm
Cscx2HR6vSlKUWDJG1H29Qdj2LQhOYfqqoSBgPn2xgE5GFYvVLotSvyw4PR2
0wE5FE1ZohNJ4xAUXImWpCmQq89k+9tP4PlRjzpHayXmd/EK9fgTWPywmnK2
gnTik+gbT6rADHdycN03Dp07zDLRPDWcd28OoovHEfNrWda8ejUU8T6HBMkT
qHNKNTKLnsTiXZaHTtmqYOYV43yBMgX+rtRzcTwVhCtetsQ9nAIrT3FERFej
/AbsxUwNch2nI3j9agSVrTeznNbAZiefzTk3icSUW0nCu9MofpDpIaFOgdtn
yaF4a1F+RLaOw52Cnxnl6ydqLaqDDgxW+WiQbqBnISRmLRXMfUrMVyk0MmKr
keA1AuL1os4G80ktkpMjzur6amBeyd0bTexXct7Il1hE9wlfOKXFwEShfS8x
Ozfz2lGNFtY5wwzqPg24mYlxZ4hfB7ETnYkliWxGFnHKUlURiAMiGLZ/EA/W
6EnDiLducr43a1qLP3sWxt0nnin8758KYrrLlp/3+GmAl49uNxIbqh4/YBKf
4VdmCIhr6r8RniQeKOX4GWi1WHJgr10ucXN8ZGcA8afzIRViYsOY4MdRxAU7
e1vHid2O0YouENNMv5uY5a/Bfd/NEaXENUWnsJpYusPF+2/iqCh1iAex/QY7
l/bP/Q0JFw8SM50WzZMSt+ro32URX7c2UWiJLzWlPo8n/h/ncINc
     "]]}},
  AspectRatio->1,
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
     StyleBox["\"B (Tesla)\"", Larger, Italic, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox[
     "\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(max\\)]\\) (millimeters)\"", Larger,
       Italic, StripOnInput -> False], TraditionalForm]},
  GridLines->Automatic,
  GridLinesStyle->GrayLevel[0.85],
  ImageSize->450,
  PlotLabel->FormBox[
    StyleBox[
    "\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(max\\)]\\) for 116\[Degree]C Oven\"",
      Larger, StripOnInput -> False], TraditionalForm],
  PlotRange->{{0, 2}, {0., 1.8326395062146348`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.448312000091875*^9, {3.449236052953125*^9, 3.449236066625*^9}, 
   3.449238223609375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Initialization Code", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.448311437748125*^9, 3.448311444466875*^9}}],

Cell[CellGroupData[{

Cell["Constants of nature", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830956688875*^9, 3.448309577748125*^9}, {
  3.44923627396875*^9, 3.449236339*^9}, {3.449236432875*^9, 
  3.44923644396875*^9}}],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<Units`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<PhysicalConstants`\>\"", "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309221373125*^9, 3.4483092561075*^9}, {
  3.449236458515625*^9, 3.449236470671875*^9}, {3.449236538421875*^9, 
  3.449236546203125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Mu]", "B"], "=", 
   RowBox[{"Convert", "[", 
    RowBox[{"BohrMagneton", ",", 
     RowBox[{"Joule", "/", "Tesla"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["k", "B"], "=", 
   RowBox[{"Convert", "[", 
    RowBox[{"BoltzmannConstant", ",", 
     RowBox[{"Joule", "/", "Kelvin"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "[", "tempC_", "]"}], ":=", 
  RowBox[{
   RowBox[{"ConvertTemperature", "[", 
    RowBox[{
     RowBox[{"1.0", "tempC"}], ",", "Celsius", ",", "Kelvin"}], "]"}], 
   "Kelvin"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309221373125*^9, 3.4483092561075*^9}, {
  3.449236458515625*^9, 3.449236470671875*^9}, {3.449236538421875*^9, 
  3.449236546203125*^9}, {3.4492366865*^9, 3.44923674178125*^9}, {
  3.449236784953125*^9, 3.44923678903125*^9}, {3.449236848609375*^9, 
  3.44923691315625*^9}, {3.4492375145*^9, 3.44923754784375*^9}, {
  3.44923758784375*^9, 3.449237635515625*^9}, {3.449237706*^9, 
  3.449237725140625*^9}, {3.44923778609375*^9, 3.449237792171875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Convert", "::", "\<\"temp\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Warning: Convert[old,new] converts units of temperature. \
ConvertTemperature[temp,old,new] converts absolute temperature. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:Units/ref/Convert\\\", ButtonNote \
-> \\\"Units`.`Convert::temp\\\"]\\)\"\>"}]], "Message", "MSG",
 InitializationCell->True,
 CellChangeTimes->{3.4492377354375*^9, 3.44923779596875*^9, 
  3.449238988515625*^9, 3.449239169375*^9, 3.449239938703125*^9, 
  3.449245105953125*^9, 3.449245156421875*^9, 3.449245200625*^9, 
  3.449249779765625*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Dimensions of the apparatus", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830956688875*^9, 3.448309577748125*^9}, {
  3.44923627396875*^9, 3.449236339*^9}, {3.449236432875*^9, 
  3.44923644396875*^9}, {3.449236932953125*^9, 3.44923695084375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["L", "2"], "=", 
   RowBox[{"12.7", " ", "Centimeter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["L", "3"], "=", 
   RowBox[{"7.9", " ", "Centimeter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dLogB", "=", 
   RowBox[{"1.76", 
    SuperscriptBox["Centimeter", 
     RowBox[{"-", "1"}]]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309221373125*^9, 3.4483092561075*^9}, {
  3.449236458515625*^9, 3.449236470671875*^9}, {3.449236538421875*^9, 
  3.449236546203125*^9}, {3.4492366865*^9, 3.44923674178125*^9}, {
  3.449236784953125*^9, 3.44923678903125*^9}, {3.449236848609375*^9, 
  3.44923691315625*^9}, {3.44923697175*^9, 3.4492370008125*^9}, {
  3.44923707059375*^9, 3.449237075015625*^9}, {3.449237117234375*^9, 
  3.449237152015625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Zmax as a function of B and Temperature", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830956688875*^9, 3.448309577748125*^9}, {
  3.44923627396875*^9, 3.449236339*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Zmax", "[", 
   RowBox[{"Bz_", ",", "Toven_"}], "]"}], ":=", 
  RowBox[{"Bz", " ", 
   RowBox[{"Convert", "[", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{
        SubscriptBox["L", "2"], 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SubscriptBox["L", "2"], "2"], "+", 
          SubscriptBox["L", "3"]}], ")"}], 
        SubscriptBox["\[Mu]", "B"]}], 
       RowBox[{"6", 
        SubscriptBox["k", "B"], " ", 
        RowBox[{"T", "[", "Toven", "]"}]}]], "dLogB", "  ", 
      FractionBox["Tesla", 
       RowBox[{"Milli", " ", "Meter"}]]}], ",", "1"}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Zmax", "::", "usage"}], "=", 
  "\"\<Zmax[B,\!\(\*SubscriptBox[\(T\), \(oven\)]\)] calculates \
\!\(\*SubscriptBox[\(Z\), \(max\)]\) (in millimeters) for magnetic field B \
(Tesla) and oven temperature \!\(\*SubscriptBox[\(T\), \(oven\)]\) (Celsius). \
The expected distance between peaks is twice Zmax.\>\""}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309221373125*^9, 3.4483092561075*^9}, {
   3.449237173140625*^9, 3.449237317578125*^9}, {3.44923734765625*^9, 
   3.449237433234375*^9}, {3.44923783759375*^9, 3.449237910171875*^9}, {
   3.449239478921875*^9, 3.449239642953125*^9}, 3.44924513659375*^9}],

Cell[BoxData["\<\"Zmax[B,\\!\\(\\*SubscriptBox[\\(T\\), \\(oven\\)]\\)] \
calculates \\!\\(\\*SubscriptBox[\\(Z\\), \\(max\\)]\\) (in millimeters) for \
magnetic field B (Tesla) and oven temperature \\!\\(\\*SubscriptBox[\\(T\\), \
\\(oven\\)]\\) (Celsius). The expected distance between peaks is twice \
Zmax.\"\>"], "Output",
 CellChangeTimes->{3.449245156453125*^9, 3.449245200640625*^9, 
  3.4492497798125*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The plot", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.44830961701375*^9, 3.4483096354825*^9}, {
  3.449238085203125*^9, 3.4492380869375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Zplot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Zmax", "[", 
       RowBox[{"b", ",", "116"}], "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "0", ",", "2"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(Z\), \(max\)]\) for 116\[Degree]C Oven\>\"", 
        ",", "Larger"}], "]"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"GridLinesStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", ".85", "]"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<B (Tesla)\>\"", ",", "Larger", ",", "Italic"}], "]"}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(Z\), \(max\)]\) (millimeters)\>\"", ",", 
          "Larger", ",", "Italic"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448308192779375*^9, 3.448308296295*^9}, {
  3.448308475966875*^9, 3.44830847663875*^9}, {3.448308686045*^9, 
  3.448308776795*^9}, {3.44830945392*^9, 3.448309459591875*^9}, {
  3.448309655966875*^9, 3.448309660748125*^9}, {3.448311314248125*^9, 
  3.44831139767*^9}, {3.4483115842325*^9, 3.448311901623125*^9}, {
  3.44923603884375*^9, 3.44923605978125*^9}, {3.449238100140625*^9, 
  3.44923821278125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Here is a dynamic calculator of Zmax in a dialog window", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.448309686091875*^9, 3.448309702404375*^9}, {
  3.448311263216875*^9, 3.448311269966875*^9}, {3.449245123859375*^9, 
  3.449245124859375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZmaxNotebook", "=", 
   RowBox[{"Notebook", "[", 
    RowBox[{"{", "}"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.448311070654375*^9, {3.449238255484375*^9, 3.44923829071875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZmaxDialog", " ", ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"ZmaxNotebook", "===", 
      RowBox[{"Notebook", "[", 
       RowBox[{"{", "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ZmaxNotebook", "=", 
       RowBox[{"CreateDialog", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Block", "[", 
             RowBox[{
              RowBox[{"{", "z", "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"z", "=", 
                RowBox[{"Zmax", "[", 
                 RowBox[{"Bz", ",", "Toven"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(Z\), \(max\)]\) (mm): \>\"", 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
                    "]"}], ",", 
                    "\"\<\!\(\*SubscriptBox[\(Z\), \(max\)]\) calculated from \
the magnetic field and oven temperature\>\""}], "]"}], ",", 
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", " ", 
                    RowBox[{"Round", "[", 
                    RowBox[{"z", ",", ".001"}], "]"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
                    "]"}], ",", 
                    "\"\<\!\(\*SubscriptBox[\(Z\), \(max\)]\) calculated from \
the magnetic field and oven temperature (millimeters)\>\""}], "]"}]}], "}"}], 
                   ",", 
                   RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
                 RowBox[{"Alignment", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"Left", ",", "Baseline"}], "}"}]}]}], "]"}]}]}], 
             RowBox[{"(*", " ", "Grid", " ", "*)"}], "\[IndentingNewLine]", 
             "]"}], 
            RowBox[{"(*", " ", "Block", " ", "*)"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Enter Magnetic Field (Tesla) and Oven Temp (Celsius):\>\"", 
              ",", "Larger"}], "]"}], ",", "\"\<\>\"", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
               "Bz", ",", "1.0", ",", "\[IndentingNewLine]", 
                "\"\<Magnetic Field (Tesla)\>\""}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"ControlType", "\[Rule]", "InputField"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
               "Toven", ",", "116.", ",", "\[IndentingNewLine]", 
                "\"\<Oven Temperature (Celsius)\>\""}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"ControlType", "\[Rule]", "InputField"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"AppearanceElements", "\[Rule]", "None"}]}], "]"}], 
          RowBox[{"(*", " ", "Manipulate", " ", "*)"}], "\[IndentingNewLine]",
           "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Deployed", "\[Rule]", "True"}], ",", 
         RowBox[{"ShowCellBracket", "\[Rule]", "False"}], ",", 
         RowBox[{"Saveable", "\[Rule]", "False"}], ",", "\[IndentingNewLine]",
          
         RowBox[{"WindowSize", "\[Rule]", "All"}], " ", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
           RowBox[{
           "WindowElements", "\[Rule]", "\"\<MagnificationPopUp\>\""}]}], " ",
           "*)"}], ",", 
         RowBox[{"WindowFloating", "\[Rule]", "False"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
         "WindowTitle", "\[Rule]", 
          "\"\<Zmax Calculator - Physics 7 Stern-Gerlach\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"NotebookEventActions", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<WindowClose\>\"", "\[RuleDelayed]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ZmaxNotebook", "=", 
               RowBox[{"Notebook", "[", 
                RowBox[{"{", "}"}], "]"}]}], ";"}], ")"}]}], "}"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], ";"}], ",", 
     RowBox[{"SetSelectedNotebook", "[", "ZmaxNotebook", "]"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448309984591875*^9, 3.44831008807625*^9}, {
   3.44831013326375*^9, 3.448310357310625*^9}, {3.448310475654375*^9, 
   3.44831052476375*^9}, {3.44831055826375*^9, 3.44831057632625*^9}, {
   3.448310676498125*^9, 3.448310692623125*^9}, {3.448310748841875*^9, 
   3.448310773295*^9}, {3.44831089882625*^9, 3.448310950154375*^9}, {
   3.448310980748125*^9, 3.44831103620125*^9}, 3.44831112388875*^9, {
   3.449238263*^9, 3.449238416046875*^9}, {3.449238449546875*^9, 
   3.449238642796875*^9}, {3.4492387365625*^9, 3.44923875775*^9}, {
   3.44923890859375*^9, 3.4492389523125*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
AutoGeneratedPackage->None,
InitializationCellEvaluation->True,
InitializationCellWarning->False,
WindowSize->{593, 776},
WindowMargins->{{56, Automatic}, {Automatic, 59}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3449219960-5528363"->{
  Cell[1566, 58, 414, 7, 59, "Print",
   CellTags->"Info3449219960-5528363"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3449219960-5528363", 19224, 501}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 170, 5, 77, "Subtitle"],
Cell[CellGroupData[{
Cell[785, 32, 313, 7, 31, "Input"],
Cell[1101, 41, 316, 8, 41, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1454, 54, 109, 2, 31, "Input"],
Cell[1566, 58, 414, 7, 59, "Print",
 CellTags->"Info3449219960-5528363"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2017, 70, 142, 2, 31, "Input"],
Cell[2162, 74, 2627, 57, 480, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4826, 136, 131, 2, 71, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[4982, 142, 220, 4, 36, "Subsection",
 InitializationCell->True],
Cell[5205, 148, 346, 6, 52, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[5576, 158, 1140, 29, 72, "Input",
 InitializationCell->True],
Cell[6719, 189, 685, 13, 70, "Message",
 InitializationCell->True]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7453, 208, 273, 4, 36, "Subsection",
 InitializationCell->True],
Cell[7729, 214, 866, 21, 72, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[8632, 240, 195, 3, 36, "Subsection",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[8852, 247, 1328, 33, 160, "Input",
 InitializationCell->True],
Cell[10183, 282, 414, 6, 70, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10646, 294, 167, 3, 36, "Subsection",
 InitializationCell->True],
Cell[10816, 299, 1687, 39, 132, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[12540, 343, 268, 4, 36, "Subsection",
 InitializationCell->True],
Cell[12811, 349, 251, 7, 31, "Input",
 InitializationCell->True],
Cell[13065, 358, 5696, 124, 712, "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
